// ******************************************************************
// * TITLE: keywin.h                                                *
// * AUTHOR: Steven Winig                                           *
// * DATE: April 30, 1993                                           *
// * Purpose: Header file for keywin.c                              *
// ******************************************************************

#ifndef _KEYWIN_H
#define _KEYWIN_H


#include "display.h"
#include "checkbox.h"
#include "players.h"

const int KeyXDim = 75;
const int KeyYDim = 75;

class KeyWindow : public Window
{
private:
   CheckBox *c[MaxPlayers];

public:
   KeyWindow ();
   void Init (Display *d, int x, int y);
   void Draw ();
   Message Dispatch (Message&) { return NullMsg; }
      // messages are not needed, because nothing can be pressed
};


#endif
