/**********************************************************************
*       FILE:     LINK.h
*       AUTHOR:   E. Otis Owens
*       DATE:     29 April 1993
*       MODIFIED: 1 May 1993
*       PURPOSE:
*         A link structure for mapnode.h
***********************************************************************/

#ifndef _LINK_H
#define _LINK_H

#include <iostream.h>
#include <stddef.h>
#include <assert.h>
#include "typedefs.h"


class Route {

 private:
  int *joins;

 public:
  int  destination, numJoins;
  vect type;

  Route(void) { destination= 0;  type= Off;  numJoins= 0; joins= NULL; }
  ~Route()    { delete joins; }

  int  find_join(int);
  void get_join(int);
};






#endif


