/*************************************************************************
* 	FILE:	textwin.h
*	AUTHOR: CALeague
*	DATE:	26 April 1993
*	PURPOSE:
*	  A Text Window is a pop-up window which is automatically sized
*	  to contain given text.
**************************************************************************/

#ifndef _TEXTWIN_H
#define _TEXTWIN_H

#include "popupwin.h"

const int TextWinFont 	 = SMALL_FONT;
const int TextWinFontSize = 5;


class TextWin : public PopUpWin
{
  int TextColor;
  char** Text;
  int THeight, MinXDim, AddY;

protected:
  void CalcDim (void);

public:
  TextWin (int minxdim, int addy, int bc, int bkc, char **txt, int txtc);
  TextWin (int minxdim, int addy, int bc, int bkc, char* t, int tc,
	  char **txt, int txtc);
  virtual ~TextWin () { }

  virtual void Draw ();
};




#endif
